import * as ts from 'typescript';
import * as Lint from 'tslint';
import { Rule as BaseUnusedExpressionRule } from 'tslint/lib/rules/noUnusedExpressionRule';
/**
 * Implements no-unused-expression-chai rules
 * To honor base rule's behavior, it inherits from default no-unused-expression rule
 * and override specific failure only
 *
 */
export declare class Rule extends BaseUnusedExpressionRule {
    /**
     * Apply rules. Simply walk source by default rule first, and filter out chai expression
     *
     */
    apply(sourceFile: ts.SourceFile): Lint.RuleFailure[];
}
